# Class MonitorSettingException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
javax.management.JMRuntimeException
javax.management.monitor.MonitorSettingException

All Implemented Interfaces:
  `Serializable`

public class MonitorSettingException extends JMRuntimeException
Exception thrown by the monitor when a monitor setting becomes invalid while the monitor is running.

As the monitor attributes may change at runtime, a check is performed before each observation. If a monitor attribute has become invalid, a monitor setting exception is thrown.

Since:
  1.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MonitorSettingException()`
  Default constructor.
  `MonitorSettingException(String message)`
  Constructor that allows an error message to be specified.

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MonitorSettingException

    public MonitorSettingException()
    Default constructor.

  - ### MonitorSettingException

    public MonitorSettingException(String message)
    Constructor that allows an error message to be specified.
    Parameters:
      `message` - The specific error message.